Description
First images should be the latest alpine, fedora, ubuntu, debian.

How should they be configured:

they should get an ipv6 address from the first network interface,

they should automatically increase the root file system, if the disk is increased in size

they should get public ssh key from http://metadata/ssh_keys

VMs need to get the DNS servers from the rooter advertisements, this is usually done with RDNSSD. (that’s a program only needs to
be installed and running.)

Please prepare VMs with just this settings.

History

#1 - 01/21/2020 02:16 PM - Timothée Floure

- Status changed from New to In Progress

#2 - 01/26/2020 05:56 PM - Timothée Floure

* The image definition scripts are defined in: https://code.ungleich.ch/uncloud/images

® The images have been uploaded to ONE and are available under the uncloud-* VM templates.

® The Fedora and Ubuntu images works fine but | still have a few issues with Alpine (missing network interface in ONE) and Debian (SSH key
deployment).

#3 - 06/15/2020 09:48 AM - Timothée Floure
- Status changed from In Progress to Waiting

- Priority changed from High to Normal

We already have the Fedora and Ubuntu images, which is good enough for the time being. Let's put this on hold for now due to other priorities.

#4 - 02/10/2021 09:02 AM - Timothée Floure
- Status changed from Waiting to Closed

This issue is fairly outdated by now - things have moved and | don't now what's happening with uncloud right now - let's close it and reopen later if
needed.
